Skip to main content
POST
/
application
/
{applicationid}
/
reject
Reject an application (one-click)
curl --request POST \
  --url https://jobaffinity.fr/restapi/v1/application/{applicationid}/reject \
  --header 'Authorization: Basic <encoded-value>'
{
  "_status": "OK",
  "application_id": 123,
  "step_id": 123,
  "step_name": "<string>",
  "email_sent": true
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Path Parameters

applicationid
integer
required

Application ID

Response

Application rejected successfully

_status
enum<string>
Available options:
OK
application_id
integer

ID of the rejected application

step_id
integer

ID of the rejection step

step_name
string

Name of the rejection step

email_sent
boolean

Whether a rejection email was sent or scheduled